# NV::Rules::INvtxState Class Reference
[NvRules Python garbage-collected classes.]

NvtxState interface. More...

## Public Member Functions
virtual PYRETURN INvtxDomainInfo * | domain_by_id (long long unsigned id)=0
| Get a domain by ID.
virtual std::vector< long long unsigned > | domains ()=0
| Get the domain IDs.

## Detailed Description

Represents the NVTX (Nvidia Tools Extensions) state associated with a single action.

## Member Function Documentation

virtual PYRETURN INvtxDomainInfo* NV::Rules::INvtxState::domain_by_id | ( | long long unsigned | id | ) | `[pure virtual]`

Get a single domain info object by its ID. Use INvtxState::domains to retrieve the list of valid domain IDs.

virtual std::vector<long long unsigned> NV::Rules::INvtxState::domains | ( |  | ) | `[pure virtual]`

Get the list of domain IDs in this state